﻿using System.Collections.Generic;
using System.Windows;

namespace MultiDownloader
{
    /// <summary>
    /// MainWindow.xaml에 대한 상호 작용 논리
    /// </summary>
    public partial class MainWindow : Window
    {
        //다운로드 상태창을 저장할 리스트
        private List<DownloadStatus> statusList = new List<DownloadStatus>();

        public MainWindow()
        {
            InitializeComponent();
        }

        //다운로드 링크 추가버튼 처리기
        private void btnAddDownload_Click(object sender, RoutedEventArgs e)
        {
            AddDownload addDownload = new AddDownload();
            addDownload.AddDownloadLinkEvent +=
                    addDownload_AddDownloadLinkEvent;
            addDownload.ShowDialog();
        }

        //다운로드 링크 추가성공 처리기
        void addDownload_AddDownloadLinkEvent(string url)
        {
            DownloadStatus downloadStatus = new DownloadStatus(url);
            downloadStatus.DeleteThisStatusEvent += 
                new DownloadStatus.DeleteThisStatus(
                    downloadStatus_DeleteThisStatusEvent);
            statusList.Add(downloadStatus);
            downloadStack.Children.Add(downloadStatus);
        }

        //다운로드 상태창 제거 처리기
        void downloadStatus_DeleteThisStatusEvent(DownloadStatus ds)
        {
            downloadStack.Children.Remove(ds);
        }
    }
}
